.userpanel {
    height: calc(100vh - 60px);
    position: fixed;
    top: 60px;
    right: 0;
    width: 18vw;
    background-color: #a4ade1;
    display: flex;
    flex-direction: column;
    gap: 12px;
    color: #213567;
}

.avatar-img img{
    width: 160px;
    height: 160px;
    display: block;
    margin: auto;
    margin-top: 100px;
    border: 3px solid #213567;
}

.char-name {
    text-align: center;
    font-size: 1.3rem;
}

.stat {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-left: 30px;
}

.stat span {
    font-weight: bold;
    width: 40px;
}

.bar {
    width: 60%;
    height: 10px;
    background-color: #ddd;
    border-radius: 5px;
    overflow: hidden;
}

.hp-bar {
    height: 100%;
    width: 100%;
    background-color: #6ccf7a;
    transition: width 0.8s;
}

.xp-bar {
    height: 100%;
    width: 0%;
    background-color: #f5b74f;
    transition: width 0.8s;
}

.xp-popup {
    position: fixed;
    top: 50%;
    right: 20%;
    font-size: 1.2rem;
    font-weight: bold;
    color: #ffd86b;
    animation: floatUp 2.5s ease-in;
}

@keyframes floatUp {
     0% {
        opacity: 0;
        transform: translateY(10px);
    }
    15% {
        opacity: 1;
    }
    100% {
        opacity: 0;
        transform: translateY(-120px);
    }
}

.hp-popup {
    position: fixed;
    top: 45%;
    right: 20%;
    font-size: 1.2rem;
    color: #ff4d4d;
    animation: floatUp 2.5s ease-in;
}

.customize-btn {
    background-color: #ffbe00;
    text-decoration: none;
    color: #213567;
    border-radius: 15px;
    text-align: center;
    width: fit-content;
    align-self: center;
    padding: 5px 30px;
    margin-top: 5px;
}

.customize-btn:hover {
    background-color: #ffd866;
}

label {
    display: block;
}

input[type=text], input[type=password], input[type=email] {
    border: none;
    width: 100%;
    padding: 5px;
    margin: 5px 0;
    border-radius: 8px;
    box-sizing: border-box;
}
